﻿using System;

namespace BackupParamAccessor
{
	public class Params
	{
		public long money
		{
			get
			{
				return (long)(this.money_top10 * 1000000000 + this.money_top0);
			}
			set
			{
				this.money_top0 = (int)(value % 1000000000L);
				this.money_top10 = (int)(value / 1000000000L);
			}
		}

		public long sales
		{
			get
			{
				return (long)(this.sales_top10 * 1000000000 + this.sales_top0);
			}
			set
			{
				this.sales_top0 = (int)(value % 1000000000L);
				this.sales_top10 = (int)(value / 1000000000L);
			}
		}

		public static Params operator -(Params a, Params b)
		{
			return new Params
			{
				clubEvaluation = a.clubEvaluation - b.clubEvaluation,
				clubMoney = a.clubMoney - b.clubMoney,
				salon_cleanliness = a.salon_cleanliness - b.salon_cleanliness,
				salon_gorgeous = a.salon_gorgeous - b.salon_gorgeous,
				salon_evaluation = a.salon_evaluation - b.salon_evaluation,
				money_top0 = a.money_top0 - b.money_top0,
				money_top10 = a.money_top10 - b.money_top10,
				evaluation = a.evaluation - b.evaluation,
				sales_top0 = a.sales_top0 - b.sales_top0,
				sales_top10 = a.sales_top10 - b.sales_top10,
				study_rate = a.study_rate - b.study_rate,
				likability = a.likability - b.likability,
				maidClassLv = a.maidClassLv - b.maidClassLv,
				maidClassExp = a.maidClassExp - b.maidClassExp,
				reception = a.reception - b.reception,
				care = a.care - b.care,
				lovely = a.lovely - b.lovely,
				elegance = a.elegance - b.elegance,
				charm = a.charm - b.charm,
				cooking = a.cooking - b.cooking,
				vocal = a.vocal - b.vocal,
				dance = a.dance - b.dance,
				appealPoint = a.appealPoint - b.appealPoint,
				inyoku = a.inyoku - b.inyoku,
				m_value = a.m_value - b.m_value,
				hentai = a.hentai - b.hentai,
				housi = a.housi - b.housi,
				teach_rate = a.teach_rate - b.teach_rate,
				yotogiClassLv = a.yotogiClassLv - b.yotogiClassLv,
				yotogiClassExp = a.yotogiClassExp - b.yotogiClassExp,
				yotogi_play_count = a.yotogi_play_count - b.yotogi_play_count,
				others_play_count = a.others_play_count - b.others_play_count
			};
		}

		public int salon_cleanliness;

		public int salon_gorgeous;

		public int clubEvaluation;

		public int clubMoney;

		public int salon_evaluation;

		public int money_top0;

		public int money_top10;

		public int cleanliness;

		public int gorgeous;

		public int evaluation;

		public int sales_top0;

		public int sales_top10;

		public int study_rate;

		public int likability;

		public int maidClassLv;

		public int maidClassExp;

		public int teach_rate;

		public int reception;

		public int care;

		public int lovely;

		public int elegance;

		public int charm;

		public int cooking;

		public int vocal;

		public int dance;

		public int appealPoint;

		public int inyoku;

		public int m_value;

		public int hentai;

		public int housi;

		public int yotogiClassLv;

		public int yotogiClassExp;

		public int yotogi_play_count;

		public int others_play_count;
	}
}
