﻿using System;
using System.Collections.Generic;
using UnityEngine;

public class ChuBlipManager : MonoBehaviour
{
	public OnaholeEstrusMode estrusMode { get; private set; }

	public FinishSyncrho finishSyncrho { get; private set; }

	public Dictionary<string, OnaholeCharaManager> OnahoCharaDic
	{
		get
		{
			return this.onahoCharaDic;
		}
	}

	public OnaholeEstrusMode EstrusMode
	{
		get
		{
			return this.estrusMode;
		}
	}

	public OnaholeChuBlipDevice device
	{
		get
		{
			return this.holeDevice;
		}
	}

	private YotogiManager yotogiMgr;

	private YotogiPlayManagerWithChubLip yotogiPlayMgr;

	private ChuBlipManager.ControlMode mode = ChuBlipManager.ControlMode.AUTO;

	private OnaholeMotion.MODE motionMode = OnaholeMotion.MODE.WAIT;

	private float touchCount;

	private string touchPointStr = string.Empty;

	private OnaholeChuBlipDevice holeDevice;

	private AutoPiston autoPiston;

	private GameObject rayHitObj;

	private float dot;

	private MaidTouch.POINT sexMode;

	private MaidTouch.POINT reserveSexMode;

	[SerializeField]
	private float insertDepth;

	private bool insertLerpFlag;

	public bool debugMode;

	public bool charaEnable;

	private string setOsawariText = string.Empty;

	private float osawariWait = 1f;

	private Dictionary<string, OnaholeCharaManager> onahoCharaDic = new Dictionary<string, OnaholeCharaManager>();

	private Dictionary<string, List<string>> syaseiPointExpDic = new Dictionary<string, List<string>>();

	private const float autoPistonSpeedRatio = 10f;

	private const float in_or_out = 0.5f;

	private enum ControlMode
	{
		DEVICE,
		AUTO
	}
}
