﻿using System;
using UnityEngine;

public class CopyHandRig : MonoBehaviour
{
	private void Start()
	{
	}

	private void Update()
	{
		this.m_trDestRoot.position = this.m_trSrcRoot.position;
		this.m_trDestRoot.rotation = this.m_trSrcRoot.rotation;
		this.m_trDestPalm.rotation = this.m_trSrcPalm.rotation;
		for (int i = 0; i < this.m_trSrcFinger.Length; i++)
		{
			this.m_trDestFinger[i].rotation = this.m_trSrcFinger[i].rotation;
		}
	}

	public Transform m_trSrcRoot;

	public Transform m_trDestRoot;

	public Transform m_trSrcPalm;

	public Transform m_trDestPalm;

	public Transform[] m_trSrcFinger;

	public Transform[] m_trDestFinger;
}
