﻿using System;
using System.Collections.Generic;

public class DanceData
{
	public string titleTerm
	{
		get
		{
			return "SceneDanceSelect/曲名/" + this.ID.ToString();
		}
	}

	public string commentaryTextTerm
	{
		get
		{
			return "SceneDanceSelect/曲説明/" + this.ID.ToString();
		}
	}

	public void Recet()
	{
		this.IsPlayable = this.InitialPlayable;
	}

	public int ID;

	public string title;

	public int title_font_size;

	public int title_offset_y;

	public string scene_name;

	public int select_chara_num;

	public string sample_image_name;

	public string commentary_text;

	public string bgm_file_name;

	public List<string> preset_name;

	public int scenario_progress;

	public DanceData.DanceTerm Term = DanceData.DanceTerm.None;

	public string AppealCutinName;

	public string ReversalCutinName;

	public string danceshow_scene;

	public string danceshow_image;

	public List<int> maid_order = new List<int>();

	public DanceData.BgType bgType;

	public bool InitialPlayable;

	public bool IsPlayable;

	public bool RhythmGameCorrespond = true;

	public string SubtitleSheetName = string.Empty;

	public enum BgType
	{
		LiveStage,
		Theater,
		PoleDance
	}

	public enum DanceTerm
	{
		クラブ,
		レストラン,
		VS外,
		None
	}
}
