﻿using System;
using System.Collections.Generic;
using UnityEngine;

public class DefValues : MonoBehaviour
{
	public static void SetUP()
	{
		DefValues.dicDefVal = new Dictionary<string, int>();
		foreach (string sss in DefValues.DefVal)
		{
			string[] stringList = UTY.GetStringList(sss);
			string text = stringList[0];
			int value = int.Parse(stringList[1]);
			if (DefValues.dicDefVal.ContainsKey(text))
			{
				Debug.LogError("DefVal 二回定義しました -> " + text);
			}
			DefValues.dicDefVal[text] = value;
		}
		foreach (string sss2 in DefValues.WindowVal)
		{
			string[] stringList2 = UTY.GetStringList(sss2);
			string key = stringList2[0];
			DefValues.dicWindowVal[key] = 0;
		}
	}

	public static string[] WindowVal = new string[]
	{
		"メイド長",
		"カス野",
		"カス美",
		"メイ野",
		"メイ子",
		"タム野",
		"タム代",
		"カスミン",
		"メイコン",
		"タムヨン",
		"俺",
		"モノローグ",
		"別名",
		"叔母",
		"オーナーメイド",
		"オーナー",
		"織田",
		"一郎",
		"イチロー",
		"主人公",
		"メイド４呼称",
		"メイド４苗字",
		"メイド４",
		"豊臣",
		"二郎",
		"ジロー",
		"徳川",
		"三郎",
		"サブロー"
	};

	public static string[] DefVal = new string[]
	{
		"カス美 0",
		"メイド長 1",
		"メイ子 2",
		"タム代 3",
		"メイド４ 4",
		"メイド５ 5",
		"メイド６ 6",
		"メイド７ 7",
		"メイド８ 8",
		"メイド９ 9",
		"俺 10",
		"ジロー 11",
		"サブロー 12",
		"オーナーメイド 13",
		"叔母 14",
		"オーナー 15",
		"カス野 0",
		"メイ野 2",
		"タム野 3",
		"カスミン 0",
		"メイコン 2",
		"タムヨン 3",
		"メイド４苗字 4",
		"メイド４呼称 4",
		"助さん 11",
		"格さん 12",
		"null 0",
		"空 0",
		"何もない 0",
		"解除 0",
		"モノローグ 10",
		"別名 11",
		"小 25",
		"中 50",
		"大 100",
		"女  0",
		"男  1",
		"いいえ  0",
		"はい  1",
		"無効  0",
		"有効  1",
		"不許可 0",
		"許可 1",
		"オフ  0",
		"オン  1",
		"off  0",
		"on  1",
		"no  0",
		"yes  1",
		"false  0",
		"true  1",
		"ツンデレ   0",
		"クーデレ\t1",
		"甘えん坊   2",
		"純真       3",
		"通常 0",
		"前に行かないようにする 1",
		"恋人属性 1",
		"奉仕属性 2",
		"被虐属性 4",
		"羞恥属性 8",
		"魅力属性 16",
		"性具属性 32",
		"安心属性 64",
		"興奮プレイ  0",
		"無関心プレイ  1",
		"嫌いプレイ  2",
		"安心プレイ  3",
		"興奮から興奮     0",
		"興奮から無関心   1",
		"興奮から嫌い     2",
		"興奮から安心     3",
		"無関心から興奮     4",
		"無関心から無関心   5",
		"無関心から嫌い     6",
		"無関心から安心     7",
		"嫌いから興奮     8",
		"嫌いから無関心   9",
		"嫌いから嫌い     10",
		"嫌いから安心     11",
		"安心から興奮     12",
		"安心から無関心   13",
		"安心から嫌い     14",
		"安心から安心     15",
		"無し 0",
		"髪 1",
		"耳 2",
		"舌 4",
		"首 8",
		"胸 16",
		"腹 32",
		"背中 64",
		"上膊部 128",
		"掌 256",
		"お尻 512",
		"クリトリス 1024",
		"局部 2048",
		"アナル 4096",
		"太もも 8192",
		"脚 16384",
		"日曜日 0",
		"月曜日 1",
		"火曜日 2",
		"水曜日 3",
		"木曜日 4",
		"金曜日 5",
		"土曜日 6",
		"ユーザー属性ブルジョアパック    1",
		"ユーザー属性スターターパック    2",
		"TestScene1 1",
		"オーダー 2",
		"サロンホール 3",
		"サロンホール演出１ 4",
		"サロン中庭・夜 5",
		"ドレスルーム 6",
		"ベッドルーム 7",
		"玄関 8",
		"自宅マイルーム 9",
		"自宅玄関外 10",
		"自宅玄関内 11",
		"自宅執務室 12",
		"執務室 13",
		"執務室・夜 14",
		"叔母ハウス 15",
		"書斎・昼 16",
		"天真爛漫雀の往来 17",
		"箱部屋 18",
		"ドレスルーム夜 19",
		"ドレスルーム昼 20",
		"ドレスルーム夜鏡 21",
		"ドレスルーム昼鏡 22",
		"サロンホールエロ 23",
		"ベッドルームエロ 24",
		"書斎・昼エロ 25",
		"スクショ背景 26",
		"自宅ダイニング 27",
		"ドレスルーム鏡 28",
		"サロンホール演出２ 29",
		"サロン玄関 30",
		"サロンロビー 31",
		"サロン談話室 32",
		"サロンホール舞台袖 33",
		"プレイルームソープ 34",
		"野外ステージ 35",
		"自宅地下室 36",
		"野外ステージ通常 37",
		"プレイルーム電車 38",
		"プレイルーム教室 39",
		"サロン中庭・夜エロ 40",
		"自宅マイルーム夜 41",
		"品評会会場 42",
		"プレイルーム教室２ 43",
		"野外ステージ・メイクミー 44",
		"END   999"
	};

	public static Dictionary<string, int> dicDefVal = new Dictionary<string, int>();

	public static Dictionary<string, int> dicWindowVal = new Dictionary<string, int>();
}
