﻿using System;
using UnityEngine;

public class DummyVRControllerButtons : AVRControllerButtons
{
	public DummyVRControllerButtons()
	{
		ulong[] array = new ulong[5];
		array[1] = 4294967296UL;
		this.m_aryTouch2RealVive = array;
		base..ctor();
	}

	protected override void Awake()
	{
		base.Awake();
		this.m_eType = AVRControllerButtons.TYPE.NON_DUMMY;
	}

	private void Start()
	{
	}

	public override bool ShowHand
	{
		get
		{
			return false;
		}
		set
		{
		}
	}

	public override void Haptic(byte f_byFoce, float f_fTime)
	{
	}

	public override bool GetPressDown(AVRControllerButtons.BTN f_eBtn)
	{
		return false;
	}

	public override bool GetPress(AVRControllerButtons.BTN f_eBtn)
	{
		return false;
	}

	public override bool GetPressUp(AVRControllerButtons.BTN f_eBtn)
	{
		return false;
	}

	public override bool GetTouchDown(AVRControllerButtons.TOUCH f_eTouch)
	{
		return false;
	}

	public override bool GetTouch(AVRControllerButtons.TOUCH f_eTouch)
	{
		return false;
	}

	public override bool GetTouchUp(AVRControllerButtons.TOUCH f_eTouch)
	{
		return false;
	}

	public override Vector2 GetAxis()
	{
		return Vector2.zero;
	}

	public override float GetTriggerRate()
	{
		return 0f;
	}

	private void Update()
	{
	}

	private ulong[] m_aryBtn2RealVive = new ulong[]
	{
		2UL,
		4294967296UL,
		4294967296UL,
		8589934592UL,
		2UL,
		8589934592UL,
		4294967296UL,
		4UL
	};

	private ulong[] m_aryTouch2RealVive;

	private bool m_bPressLeft;

	private Coroutine m_coVib;
}
