﻿using System;

namespace Leap.Unity.Attributes
{
	public class AutoFindAttribute : CombinablePropertyAttribute, IPropertyConstrainer
	{
		public AutoFindAttribute(AutoFindLocations searchLocations = AutoFindLocations.All)
		{
			this._searchLocations = searchLocations;
		}

		private AutoFindLocations _searchLocations;
	}
}
