﻿using System;

namespace Leap.Unity.Attributes
{
	public class DisableIf : CombinablePropertyAttribute, IPropertyDisabler
	{
		public DisableIf(string propertyName, bool equalTo = true)
		{
			this.propertyName = propertyName;
			this.equalTo = equalTo;
		}

		public readonly string propertyName;

		public readonly bool equalTo;
	}
}
