﻿using System;
using UnityEngine;
using UnityEngine.UI;

namespace Leap.Unity
{
	public class TemporalWarpingStatus : MonoBehaviour
	{
		private void Start()
		{
			this.textField = base.GetComponent<Text>();
			if (this.textField == null)
			{
				base.gameObject.SetActive(false);
			}
			this._imageLatency.delay = 0.1f;
			this._frameDelta.delay = 0.1f;
		}

		private void Update()
		{
		}

		public LeapVRTemporalWarping cameraAlignment;

		protected Text textField;

		protected SmoothedFloat _imageLatency = new SmoothedFloat();

		protected SmoothedFloat _frameDelta = new SmoothedFloat();

		[SerializeField]
		private LeapProvider Provider;
	}
}
