﻿using System;
using UnityEngine;

[RequireComponent(typeof(AudioSource))]
public class OVRLipSyncTestAudio : MonoBehaviour
{
	private void Start()
	{
		if (!this.audioSource)
		{
			this.audioSource = base.GetComponent<AudioSource>();
		}
		if (!this.audioSource)
		{
			return;
		}
		string text = Application.dataPath;
		text += "/../";
		text += "TestViseme.wav";
		WWW www = new WWW("file:///" + text);
		while (!www.isDone)
		{
			Debug.Log(www.progress);
		}
		if (www.GetAudioClip() != null)
		{
			this.audioSource.clip = www.GetAudioClip();
			this.audioSource.loop = true;
			this.audioSource.mute = false;
			this.audioSource.Play();
		}
	}

	public AudioSource audioSource;
}
