﻿using System;
using System.Collections.Generic;
using UnityEngine;

public class OnaholeCharaManager : MonoBehaviour
{
	public bool IsPiston
	{
		get
		{
			return !(this.motion == null) && this.motion.GetMode() == OnaholeMotion.MODE.PISTON && this.motion.GetPistonMode() == OnaholeMotion.PISTON_MODE.PISTON;
		}
	}

	public Maid maid;

	public GameObject attachBody;

	public ChuBlipManager chuBlipMgr;

	private bool isMaid;

	public OnaholeMotion motion;

	public MaidTouch maidTouch;

	public OnaholeExpression expression;

	private Dictionary<string, string> debugStringList = new Dictionary<string, string>();

	public string playFeel = string.Empty;

	private bool swt;

	private bool enable;
}
