﻿using System;
using UnityEngine;

namespace OvrLip
{
	public sealed class OVRTouchpadHelper : MonoBehaviour
	{
		private void Awake()
		{
			UnityEngine.Object.DontDestroyOnLoad(base.gameObject);
		}

		private void Start()
		{
			OVRMessenger.AddListener<OVRTouchpad.TouchEvent>("Touchpad", new OVRCallback<OVRTouchpad.TouchEvent>(this.LocalTouchEventCallback));
		}

		private void Update()
		{
			OVRTouchpad.Update();
		}

		public void OnDisable()
		{
			OVRTouchpad.OnDisable();
		}

		private void LocalTouchEventCallback(OVRTouchpad.TouchEvent touchEvent)
		{
			switch (touchEvent)
			{
			}
		}
	}
}
