﻿using System;
using System.IO;

namespace PlayerStatus
{
	public class NightWorkState
	{
		public void Serialize(BinaryWriter binary)
		{
			if (this.calledMaidGUID == null)
			{
				this.calledMaidGUID = string.Empty;
			}
			binary.Write(this.workId);
			binary.Write(this.calledMaidGUID);
			binary.Write(this.finish);
		}

		public void Deserialize(BinaryReader binary, int version)
		{
			this.workId = binary.ReadInt32();
			this.calledMaidGUID = binary.ReadString();
			this.finish = binary.ReadBoolean();
		}

		public int workId;

		public string calledMaidGUID = string.Empty;

		public bool finish;
	}
}
