﻿using System;
using UnityEngine;

public class SABoneColliderBuilder : MonoBehaviour
{
	public SABoneColliderCommon.SplitProperty splitProperty
	{
		get
		{
			return (this.boneColliderBuilderProperty == null) ? null : this.boneColliderBuilderProperty.splitProperty;
		}
	}

	public SAColliderBuilderCommon.ReducerProperty reducerProperty
	{
		get
		{
			return (this.boneColliderBuilderProperty == null) ? null : this.boneColliderBuilderProperty.reducerProperty;
		}
	}

	public SAColliderBuilderCommon.ColliderProperty colliderProperty
	{
		get
		{
			return (this.boneColliderBuilderProperty == null) ? null : this.boneColliderBuilderProperty.colliderProperty;
		}
	}

	public SAColliderBuilderCommon.RigidbodyProperty rigidbodyProperty
	{
		get
		{
			return (this.boneColliderBuilderProperty == null) ? null : this.boneColliderBuilderProperty.rigidbodyProperty;
		}
	}

	public SABoneColliderCommon.SABoneColliderBuilderProperty boneColliderBuilderProperty = new SABoneColliderCommon.SABoneColliderBuilderProperty();

	[NonSerialized]
	public SABoneColliderCommon.SABoneColliderBuilderProperty edittingBoneColliderBuilderProperty;

	[NonSerialized]
	public bool cleanupModified;

	[NonSerialized]
	public bool isDebug;
}
