﻿using System;
using System.Collections;
using UnityEngine;

public class SceneFirst : MonoBehaviour
{
	private void Start()
	{
		GameMain.Instance.MainCamera.FadeOut(0f, false, null, true, default(Color));
		base.StartCoroutine(this.WaitLoad());
	}

	private IEnumerator WaitLoad()
	{
		while (GameMain.Instance.CharacterMgr.IsBusy())
		{
			Debug.Log("wait load chara");
			yield return new WaitForSeconds(1f);
		}
		GameMain.Instance.LoadScene("SceneLogo");
		yield break;
	}

	private void Update()
	{
	}
}
