﻿using System;
using UnityEngine;

public class Test_OpenDialog : MonoBehaviour
{
	public void OpenDialog01()
	{
		VRDialogMenu.TYPE_STYLE style = (VRDialogMenu.TYPE_STYLE)12;
		this.m_DialogMenu.OpenDialog(this.dialogMessage, style, delegate(VRDialogMenu.TYPE_STYLE buttonType)
		{
			if (buttonType == VRDialogMenu.TYPE_STYLE.OK)
			{
				Debug.Log("OKボタンでした");
			}
			else if (buttonType == VRDialogMenu.TYPE_STYLE.CANCEL)
			{
				Debug.Log("CANCELボタンでした");
			}
			this.m_DialogMenu.CloseDialog();
			this.num++;
		});
	}

	private void Start()
	{
		VRCanvasManager.Instance.OpenVRDecideUseTouch(delegate(bool useOculus)
		{
			Debug.Log((!useOculus) ? "Mouse & Keyboard" : "OculusTouch");
		});
	}

	[SerializeField]
	private VRDialogMenu m_DialogMenu;

	[TextArea(4, 20)]
	public string dialogMessage;

	public int num;
}
