﻿using System;
using System.Collections.Generic;
using UnityEngine;

public class TouchActionParam
{
	public TouchActionParam()
	{
		this.TouchParam.Add(TouchActionParam.TouchType.セクハラ, new TouchActionParam.ActionParam());
		this.TouchParam.Add(TouchActionParam.TouchType.お邪魔, new TouchActionParam.ActionParam());
	}

	public bool DoTouchAction()
	{
		return this.TouchParam[TouchActionParam.TouchType.お邪魔].Point != 0 || this.TouchParam[TouchActionParam.TouchType.セクハラ].Point != 0;
	}

	public TouchActionParam.ActionParam NowUseParam
	{
		get
		{
			return this.TouchParam[this.NowSetType];
		}
	}

	public Transform m_VibeObj;

	public bool IsVibeOn;

	public bool IsVibeFirst;

	public AudioSourceMgr VibeAudio;

	public bool IsEventStart;

	public bool MotionFaceChange;

	public bool MotionFaceBlendChange;

	public Dictionary<TouchActionParam.TouchType, TouchActionParam.ActionParam> TouchParam = new Dictionary<TouchActionParam.TouchType, TouchActionParam.ActionParam>();

	public TouchActionParam.TouchType NowSetType;

	public enum TouchType
	{
		セクハラ,
		お邪魔
	}

	public class ActionParam
	{
		public float TouchTimer;

		public float NotTouchTimer;

		public int Point;

		public bool IsTouch;
	}
}
