﻿using System;
using UnityEngine;

public class Translations : MonoBehaviour
{
	private Translations()
	{
		if (!Translations.Instance)
		{
			Translations.Instance = this;
		}
		else
		{
			Debug.LogError("Translationsコンポーネントがあるオブジェクトが複数存在します");
		}
	}

	public static Translations Instance { get; private set; }

	[Header("勝負に勝った時のテキスト")]
	public string WINNINGS = "勝利!";

	[Header("ダブルダウンで勝った時のテキスト")]
	public string BIG_WINNINGS = "大勝利!!";

	[Header("勝負に負けた時のテキスト")]
	public string YOU_LOSE = "You Lose!";

	[Header("サレンダーした時のテキスト")]
	public string SURRENDER = "サレンダー";

	[Header("所持金表示UIのテキスト")]
	public string MY_MONEY = "所持金: ";

	[Header("掛け金表示UIのテキスト")]
	public string CREDITS = "CREDITS: ";

	[Header("引き分けたときのテキスト")]
	public string PUSH = "Push";

	[Header("合計が22以上の時のテキスト")]
	public string BUST = "Bust";

	[Header("ブラックジャック達成時のテキスト")]
	public string BLACKJACK = "Blackjack";

	[Header("ディールを行うUIのテキスト")]
	public string DEAL = "Deal";

	[Header("ヒットを行うUIのテキスト")]
	public string HIT = "Hit";

	[Header("掛け金をリセットするUIのテキスト")]
	public string CLEAR = "Clear";

	[Header("スタンドを行うUIのテキスト")]
	public string STAND = "Stand";

	[Header("ダブルダウンを行うUIのテキスト")]
	public string DOUBLE_DOWN = "Double Down";

	[Header("スプリットを行うUIのテキスト")]
	public string SPLIT = "Split";

	[Header("ベット額表示UI用のテキスト")]
	public string BET = "Bet:";

	[Header("スプリットのベット額表示UI用のテキスト")]
	public string SPLITBET = "SplitBet:";
}
