﻿using System;

namespace TriLib
{
	[Flags]
	public enum AssimpPostProcessSteps
	{
		CalcTangentSpace = 1,
		JoinIdenticalVertices = 2,
		MakeLeftHanded = 4,
		Triangulate = 8,
		RemoveComponent = 16,
		GenNormals = 32,
		GenSmoothNormals = 64,
		SplitLargeMeshes = 128,
		PreTransformVertices = 256,
		LimitBoneWeights = 512,
		ValidateDataStructure = 1024,
		ImproveCacheLocality = 2048,
		RemoveRedundantMaterials = 4096,
		FixInfacingNormals = 8192,
		SortByPType = 32768,
		FindDegenerates = 65536,
		FindInvalidData = 131072,
		GenUvCoords = 262144,
		TransformUvCoords = 524288,
		FindInstances = 1048576,
		OptimizeMeshes = 2097152,
		OptimizeGraph = 4194304,
		FlipUVs = 8388608,
		FlipWindingOrder = 16777216,
		SplitByBoneCount = 33554432,
		Debone = 67108864
	}
}
