﻿using System;
using UnityEngine;
using UnityEngine.EventSystems;
using UnityEngine.UI;

public class UISliderMoveButton : MonoBehaviour, IDragHandler, IEventSystemHandler
{
	public void OnDrag(PointerEventData eventData)
	{
		this.m_Slider.normalizedValue += this.m_Power * Time.deltaTime;
	}

	[SerializeField]
	[Tooltip("影響を与えるスライダー")]
	private Slider m_Slider;

	[SerializeField]
	[Tooltip("１秒あたりの変化量")]
	private float m_Power = 0.1f;
}
