﻿using System;

public class ViveController : AVRController
{
	public override bool IsHandCameraMode
	{
		get
		{
			return this.m_CtrlBehNow.IsHandCameraMode;
		}
	}

	public override bool HandCameraMode
	{
		get
		{
			return this.m_CtrlBehNow.HandCameraMode;
		}
		set
		{
			if (value)
			{
				this.m_CtrlBehNow.HandCameraMode = true;
			}
		}
	}

	public override bool IsHandPenMode
	{
		get
		{
			return this.m_CtrlBehNow.IsHandPenMode;
		}
	}

	public override AVRControllerBehavior.LIMIT_MODE HandLimitMode
	{
		get
		{
			return this.m_CtrlBehNow.HandLimitMode;
		}
		set
		{
			this.m_CtrlBehNow.HandLimitMode = value;
		}
	}

	public override bool HandModelVisible
	{
		get
		{
			return this.m_CtrlBehNow.HandModelVisible;
		}
		set
		{
			this.m_CtrlBehNow.HandModelVisible = value;
		}
	}

	public override bool HandDanceMode
	{
		get
		{
			return this.m_CtrlBehNow.HandDanceMode;
		}
		set
		{
			this.m_CtrlBehNow.HandDanceMode = value;
		}
	}

	public override bool HandVRIKMode
	{
		get
		{
			return this.m_CtrlBehNow.HandVRIKMode;
		}
		set
		{
			this.m_CtrlBehNow.HandVRIKMode = value;
		}
	}

	public override bool HandYotogiMode
	{
		get
		{
			return this.m_CtrlBehNow.HandYotogiMode;
		}
		set
		{
			this.m_CtrlBehNow.HandYotogiMode = value;
		}
	}

	public override void Init()
	{
		base.Init();
		if (GameMain.Instance.VRMode)
		{
			this.m_CtrlBehOld = base.GetComponent<ViveControllerBehavior>();
			this.m_CtrlBehOld.Init(this);
			this.m_CtrlBehNew = base.GetComponent<ViveControllerBehavior2>();
			this.m_CtrlBehNew.Init(this);
		}
	}
}
