﻿using System;
using UnityEngine;

public class Vive_Mirror : MonoBehaviour
{
	private const string m_Shader_Path = "Shaders/Vive_Mirror";

	private const string m_MainCam_Name = "Main Camera (eye)";

	[SerializeField]
	private int m_TextureSize = 2048;

	[SerializeField]
	private float m_ClipPlaneOffset = 0.07f;

	[SerializeField]
	private LayerMask m_ReflectLayers = -1;

	private Renderer m_My_Render;

	private bool m_SelfRendering;

	private RenderTexture m_Left_Texture;

	private RenderTexture m_Right_Texture;

	private Camera m_Reflect_Camera;
}
