﻿using System;

public class YotogiNullManager : WfScreenChildren
{
	public override void Awake()
	{
		base.Awake();
		base.SetFadeTime(0f);
	}

	public void SetNextLabel(string label)
	{
		this.next_label_ = label;
	}

	protected override void OnCall()
	{
	}

	public override void Update()
	{
		base.Update();
		if (base.fade_status == WfScreenChildren.FadeStatus.Wait)
		{
			this.Finish();
		}
	}

	protected override void OnFinish()
	{
		base.OnFinish();
		if (!string.IsNullOrEmpty(this.next_label_))
		{
			string label_name = this.next_label_;
			this.next_label_ = string.Empty;
			GameMain.Instance.ScriptMgr.adv_kag.JumpLabel(label_name);
			GameMain.Instance.ScriptMgr.adv_kag.Exec();
		}
	}

	public bool IsExistNextLabel()
	{
		return !string.IsNullOrEmpty(this.next_label_);
	}

	public string nextLabel
	{
		get
		{
			return this.next_label_;
		}
	}

	private string next_label_ = string.Empty;
}
