﻿using System;
using UnityEngine;

[Serializable]
public class AMAudioKey : AMKey
{
	public bool setAudioClip(AudioClip audioClip)
	{
		if (this.audioClip != audioClip)
		{
			this.audioClip = audioClip;
			return true;
		}
		return false;
	}

	public bool setLoop(bool loop)
	{
		if (this.loop != loop)
		{
			this.loop = loop;
			return true;
		}
		return false;
	}

	public override AMKey CreateClone()
	{
		AMAudioKey amaudioKey = ScriptableObject.CreateInstance<AMAudioKey>();
		amaudioKey.frame = this.frame;
		amaudioKey.audioClip = this.audioClip;
		amaudioKey.loop = this.loop;
		return amaudioKey;
	}

	public AudioClip audioClip;

	public bool loop;
}
