﻿using System;
using System.Collections.Generic;
using UnityEngine;

public class ActionCase
{
	public float StartTime;

	public float EndTime;

	public string Trigger;

	public List<int> TargetMaidNo = new List<int>();

	public List<ActionCase.ActionType> Action = new List<ActionCase.ActionType>();

	public List<ActionCase.ReactionParam> Reaction = new List<ActionCase.ReactionParam>();

	public GameObject Effect;

	public float EffectTime;

	public enum ActionType
	{
		wave,
		up,
		swing,
		shake
	}

	public class ReactionParam
	{
		public string Name;

		public float SetTime;

		public bool IsFaceBlend;
	}
}
