﻿using System;
using UnityEngine;

public class AnimatorPlayer : MonoBehaviour
{
	private void Awake()
	{
		this.m_anim = base.GetComponent<Animator>();
		NDebug.Assert(this.m_anim != null, "Animator が付いていません。\n" + base.gameObject.name);
	}

	public void SetTrigger(string f_strTrigger)
	{
		this.m_anim.SetTrigger(f_strTrigger);
	}

	private Animator m_anim;
}
