﻿using System;
using UnityEngine;

public class ConfigCblReactionSetting : MonoBehaviour
{
	public ConfigCblReactionSetting.Buttons highlightHeart;

	public ConfigCblReactionSetting.Buttons highlightHide;

	public ConfigCblReactionSetting.Buttons runnyNoseEffect;

	public ConfigCblReactionSetting.Buttons saladEffect;

	public ConfigCblReactionSetting.Buttons sweatEffect;

	public ConfigCblReactionSetting.Buttons breatheEffect;

	[Serializable]
	public class Buttons
	{
		public void AddOnSelectEvent(EventDelegate.Callback callBack)
		{
			EventDelegate.Add(this.buttonOn.onSelect, callBack);
			EventDelegate.Add(this.buttonOff.onSelect, callBack);
		}

		public UIWFTabPanel tabPanel;

		public UIWFTabButton buttonOn;

		public UIWFTabButton buttonOff;
	}
}
