﻿using System;
using UnityEngine;

public class DebugScenarioDraw : MonoBehaviour
{
	[SerializeField]
	private DebugScenarioDraw.DrawSet advDrawSet;

	[SerializeField]
	private DebugScenarioDraw.DrawSet yotogiDrawSet;

	private string advText = string.Empty;

	private string yotogiText = string.Empty;

	[Serializable]
	public struct DrawSet
	{
		public string text
		{
			get
			{
				return (!(this.label != null)) ? string.Empty : this.label.text;
			}
			set
			{
				if (this.label != null)
				{
					this.label.text = value;
				}
			}
		}

		[SerializeField]
		private UILabel label;

		public UIButton button;
	}
}
