﻿using System;
using UnityEngine;

public class HandEnableDisableNotifier : MonoBehaviour
{
	public void OnEnable()
	{
		if (this.m_aryNotify != null)
		{
			for (int i = 0; i < this.m_aryNotify.Length; i++)
			{
				this.m_aryNotify[i].SetActive(true);
			}
		}
	}

	public void OnDisable()
	{
		if (this.m_aryNotify != null)
		{
			for (int i = 0; i < this.m_aryNotify.Length; i++)
			{
				this.m_aryNotify[i].SetActive(false);
			}
		}
	}

	public GameObject[] m_aryNotify;
}
