﻿using System;
using UnityEngine;

namespace Leap.Unity.RuntimeGizmos
{
	public class RuntimeColliderGizmos : MonoBehaviour, IRuntimeGizmoComponent
	{
		public void OnDrawRuntimeGizmos(RuntimeGizmoDrawer drawer)
		{
			drawer.color = this.color;
			drawer.DrawColliders(base.gameObject, this.useWireframe, this.traverseHierarchy);
		}

		public Color color = Color.white;

		public bool useWireframe = true;

		public bool traverseHierarchy = true;
	}
}
