﻿using System;
using UnityEngine;

internal static class MaidRandomName
{
	public static string GetLastName()
	{
		if (Product.DOPLGBNE)
		{
			return MaidRandomName.last_name_array_en[UnityEngine.Random.Range(0, MaidRandomName.last_name_array_en.Length)];
		}
		return MaidRandomName.last_name_array[UnityEngine.Random.Range(0, MaidRandomName.last_name_array.Length)];
	}

	public static string GetFirstName()
	{
		if (Product.DOPLGBNE)
		{
			return MaidRandomName.first_name_array_en[UnityEngine.Random.Range(0, MaidRandomName.first_name_array_en.Length)];
		}
		return MaidRandomName.first_name_array[UnityEngine.Random.Range(0, MaidRandomName.first_name_array.Length)];
	}

	public static string GetPlayerName()
	{
		if (Product.DOPLGBNE)
		{
			return MaidRandomName.player_name_array_en[UnityEngine.Random.Range(0, MaidRandomName.player_name_array_en.Length)];
		}
		return MaidRandomName.player_name_array[UnityEngine.Random.Range(0, MaidRandomName.player_name_array.Length)];
	}

	private static string[] last_name_array = new string[]
	{
		"赤木",
		"青柳",
		"菊池",
		"栗山",
		"栗田",
		"桑原",
		"朝比奈",
		"五十嵐",
		"伊集院",
		"朝日奈",
		"和泉",
		"一文字",
		"岸",
		"今井",
		"栗原",
		"高野",
		"永野",
		"飯田",
		"加藤",
		"神楽坂",
		"篠原",
		"白石",
		"岩崎",
		"園田",
		"白鳥",
		"岩根",
		"瀬田",
		"橘",
		"谷山",
		"千原",
		"月城",
		"伊東",
		"稲葉",
		"菅原",
		"中野",
		"西村",
		"高畑",
		"渡辺",
		"山本",
		"伊吹",
		"内海",
		"一条",
		"一ノ瀬",
		"井上",
		"宮本",
		"柿崎",
		"橋本",
		"高瀬",
		"関口",
		"木村",
		"前原",
		"黒木",
		"水無月",
		"神崎",
		"新井",
		"五月女",
		"早乙女",
		"桂木",
		"深見",
		"桜井",
		"西園寺",
		"七瀬",
		"浅井",
		"飯島",
		"近藤",
		"臼井",
		"関谷",
		"永井",
		"竹田",
		"熊谷",
		"山田",
		"田邉",
		"濱尾",
		"佐々木",
		"勅使河原"
	};

	private static string[] first_name_array = new string[]
	{
		"澪",
		"愛乃",
		"愛莉",
		"亜葵",
		"明日香",
		"綾",
		"彩華",
		"ありさ",
		"伊織",
		"いくみ",
		"苺",
		"麗",
		"絵美香",
		"恵実里",
		"乙女",
		"楓",
		"香里",
		"香澄",
		"一紗",
		"和美",
		"佳奈",
		"夏鈴",
		"桔梗",
		"霧香",
		"心",
		"冴香",
		"咲菜",
		"咲耶",
		"彩世",
		"鈴",
		"千奈",
		"千沙登",
		"月美",
		"翼",
		"敏美",
		"友佳",
		"奈央",
		"渚沙",
		"菜月",
		"鳴海",
		"音々",
		"乃亜",
		"花",
		"早瀬",
		"陽彩子",
		"一見",
		"風歌",
		"星見",
		"穂乃香",
		"摩衣",
		"舞優",
		"茉莉",
		"未央",
		"実樹",
		"美紅",
		"翠里",
		"美優",
		"睦月",
		"萌香",
		"桃",
		"弥生",
		"唯奈",
		"雪音",
		"夢華",
		"百合子",
		"好美",
		"藍",
		"莉亜",
		"里穂",
		"留依",
		"怜湖",
		"さつき",
		"里実",
		"泉",
		"ひなた"
	};

	private static string[] player_name_array = new string[]
	{
		"翔太",
		"蓮",
		"翔",
		"陸",
		"颯太",
		"悠斗",
		"大翔",
		"樹",
		"翼",
		"大和",
		"奏太",
		"大輝",
		"悠",
		"隼人",
		"大輔",
		"健太",
		"駿",
		"優",
		"陽斗",
		"悠人",
		"陽",
		"誠",
		"仁",
		"拓海",
		"悠真",
		"悠太",
		"健",
		"大地",
		"遼",
		"大樹",
		"諒",
		"太一",
		"響",
		"一郎",
		"亮",
		"優斗",
		"海斗",
		"颯",
		"亮太",
		"匠",
		"陽太",
		"航",
		"瑛太",
		"直樹",
		"光",
		"空",
		"太郎",
		"輝",
		"一輝",
		"蒼",
		"剛",
		"拓真",
		"涼太",
		"潤",
		"達也",
		"葵",
		"龍之介",
		"聡",
		"健太郎",
		"隼",
		"悠生",
		"太陽",
		"雄大",
		"奏",
		"啓太",
		"陽向",
		"一樹",
		"楓",
		"涼",
		"悠希",
		"陸斗",
		"勇人",
		"蒼太",
		"拓哉",
		"新",
		"和也",
		"淳",
		"優希",
		"虎太郎",
		"悠翔",
		"和真",
		"拓也",
		"渉",
		"蒼空",
		"優太",
		"伊織",
		"智也",
		"歩",
		"直人",
		"大智",
		"司",
		"俊介",
		"優真",
		"晃",
		"琉生",
		"巧",
		"慧",
		"碧",
		"大",
		"凌",
		"諒太",
		"一",
		"陽翔",
		"湊",
		"優輝",
		"真",
		"一真",
		"颯真",
		"聡太",
		"日向",
		"哲也",
		"陽大",
		"慶太",
		"朝陽",
		"怜",
		"大貴",
		"徹",
		"拓実",
		"学",
		"漣",
		"翔大",
		"凛",
		"雄太",
		"海",
		"陽仁",
		"優人",
		"遥斗",
		"幹太",
		"凛太郎",
		"慶",
		"颯汰",
		"優汰",
		"大介",
		"龍",
		"晴",
		"颯人",
		"大雅",
		"聖",
		"伊吹",
		"心",
		"豊",
		"圭吾",
		"健人",
		"俊輔",
		"和輝",
		"航太",
		"櫂",
		"海翔",
		"至恩",
		"初珠",
		"桜深",
		"澄海",
		"九珠",
		"頼音",
		"今鹿",
		"碧",
		"歩木鈴",
		"枕鈴",
		"車車車",
		"金銀",
		"振門体",
		"世歩玲",
		"射夢",
		"冬",
		"愛人",
		"乃絵瑠",
		"新一",
		"燃志",
		"野生",
		"騎士",
		"黄熊",
		"精飛愛",
		"万華",
		"望己利",
		"聖帝"
	};

	private static string[] last_name_array_en = new string[]
	{
		"Smith",
		"Johnson",
		"William",
		"Jones",
		"Brown",
		"Davis",
		"Miller",
		"Willson",
		"Moore",
		"Taylor",
		"Martinez",
		"Anderson",
		"Taylor",
		"Thomas",
		"Hernandez",
		"Moore",
		"Martin",
		"Jackson",
		"Thompson",
		"White",
		"Lopez",
		"Harris",
		"Clark",
		"Walker",
		"Gonzalez",
		"Allen",
		"Wright"
	};

	private static string[] first_name_array_en = new string[]
	{
		"Mary",
		"Patricia",
		"Linda",
		"Barbara",
		"Elizabeth",
		"Jennipher",
		"Maria",
		"Margaret",
		"Dorothy",
		"Lisa",
		"Madison",
		"Hannah",
		"Samantha",
		"Ashley",
		"Emma",
		"Olivia",
		"Ava",
		"Sophia",
		"Isabella",
		"Mia",
		"Charlotte",
		"Abigail",
		"Emily",
		"Harper",
		"Amelia",
		"Evelyn",
		"Harper"
	};

	private static string[] player_name_array_en = new string[]
	{
		"James",
		"John",
		"Robert",
		"David",
		"Richard",
		"Charles",
		"Joseph",
		"Thomas",
		"Jacob",
		"Joshua",
		"Matthew",
		"Ethan",
		"Andrew",
		"Daniel",
		"Anthony",
		"Christopher",
		"Joseph",
		"Noah",
		"Liam",
		"William",
		"Mason",
		"James",
		"Benjamin",
		"Jacob",
		"Michael",
		"Elijah",
		"Ethan",
		"Logan",
		"Oliver",
		"Alexander"
	};
}
