﻿using System;
using UnityEngine;

public class OnaholeEstrusMode : MonoBehaviour
{
	public OnaholeEstrusMode.Mode mode { get; private set; }

	public float KP
	{
		get
		{
			return this.kp;
		}
	}

	public bool PermissionEstrus
	{
		get
		{
			return this.permissionEstrus;
		}
		set
		{
			this.permissionEstrus = value;
		}
	}

	public int ReActionLevel
	{
		get
		{
			return this.reactionLevel;
		}
	}

	public bool IsEstrus
	{
		get
		{
			return this.permissionEstrus && this.ReActionLevel == 2;
		}
	}

	[SerializeField]
	private bool permissionEstrus;

	[SerializeField]
	private float kp;

	[SerializeField]
	private int reactionLevel;

	private int levelColmun = 10;

	private float beforeInsertDepth;

	private bool reception;

	[SerializeField]
	private float receptionTime;

	private const float receptionTimeMax = 0.75f;

	private const int estrusLevel = 2;

	private const float insertStart = 0.3f;

	private const float insertEnd = 0.66f;

	[SerializeField]
	private float sliderMultiple = 1f;

	private UIButton buttonAuto;

	private Color buttonDefaultColor = default(Color);

	private UIButton buttonLevelUp;

	private UILabel labelLevel;

	public enum Mode
	{
		Non,
		Auto,
		Manual
	}
}
