﻿using System;
using System.Collections.Generic;
using UnityEngine;

public class OnaholeOnedari : MonoBehaviour
{
	private OnaholeCharaManager owner;

	private OnaholeOnedari.MODE mode;

	public bool onedariPermit;

	public bool specialSkillPermit;

	private int risei = 100;

	private const int riseiMax = 100;

	private const int riseiDamage = 35;

	private float triggerTime = 1f;

	private float triggetResetTime = 2f;

	private const float triggerTimeMax = 1f;

	private const float triggerResetTimeMax = 2f;

	private float decidionTime;

	private float requestDpethSpeedHold;

	private List<OnaholeOnedari.Data> dataList = new List<OnaholeOnedari.Data>();

	private OnaholeOnedari.Data nowPlayData;

	private float depthSpeedCheckInterval;

	private List<float> pistonSpeedList = new List<float>();

	private List<float> insertDepthList = new List<float>();

	private string debugString = string.Empty;

	public enum ONEDARI
	{
		タッチ,
		射精,
		深度速度,
		MAX,
		NON
	}

	public enum MODE
	{
		WAIT,
		DECIDION,
		END
	}

	private enum DECIDION
	{
		達成,
		無関係行動,
		不達成,
		判定継続
	}

	private enum DEPTHSPEED_COND
	{
		要求と一致,
		開始状態と一致,
		無関係
	}

	public class Data
	{
		public OnaholeOnedari.ONEDARI onedari = OnaholeOnedari.ONEDARI.NON;

		public List<string> voice = new List<string>();

		public string message = string.Empty;

		public string key = "おねだり_";

		public OnaholeFeelings.PISTON_SPEED condSpeed = OnaholeFeelings.PISTON_SPEED.NO_DATA;

		public OnaholeFeelings.PISTON_DEPTH condDepth = OnaholeFeelings.PISTON_DEPTH.NO_DATA;

		public OnaholeMotion.ANIM_TYPE requestFinish;

		public MaidTouch.POINT requestTouch;

		public OnaholeFeelings.PISTON_DEPTH requestDepth = OnaholeFeelings.PISTON_DEPTH.NO_DATA;

		public OnaholeFeelings.PISTON_SPEED requestSpeed = OnaholeFeelings.PISTON_SPEED.NO_DATA;
	}
}
