﻿using System;
using UnityEngine;

namespace SceneEditWindow
{
	public class CustomParts : BaseCustomParts
	{
		public CustomParts(Maid maid, TBody.SlotID slotId, string apName) : base(maid, slotId, apName)
		{
		}

		public void Destroy()
		{
			if (this.indirectObject != null)
			{
				UnityEngine.Object.DestroyImmediate(this.indirectObject);
			}
			this.indirectObject = null;
			if (this.tranformAxis != null)
			{
				UnityEngine.Object.DestroyImmediate(this.tranformAxis.gameObject);
			}
		}

		public SceneEdit.SMenuItem menuItem;

		public GameObject indirectObject;

		public WorldTransformAxis tranformAxis;

		public GizmoRender gizmoRender;
	}
}
