﻿using System;
using UnityEngine;

namespace SceneNPCEdit
{
	public class NPCEditStatus : MonoBehaviour
	{
		public void Apply(NPCEditPlate plate, string additionalInformationText)
		{
			this.labelLastName.text = plate.lastName;
			this.labelFirstName.text = plate.firstName;
			this.thumSprite.mainTexture = plate.thumbnail;
			this.thumSprite.SetDimensions(61, 88);
			this.additionalInformationText.text = additionalInformationText;
		}

		[SerializeField]
		private UILabel labelLastName;

		[SerializeField]
		private UILabel labelFirstName;

		[SerializeField]
		private UILabel additionalInformationText;

		[SerializeField]
		private UITexture thumSprite;
	}
}
