﻿using System;

namespace SpriteViewer
{
	public struct ClothSpring
	{
		public ClothSpring(int PID1, int PID2, float Len, float Stiffness)
		{
			this.P1 = PID1;
			this.P2 = PID2;
			this._NaturalLength = Len;
			this._InverseLength = 1f / Len;
			this._Stiffness = Stiffness;
		}

		public int P1;

		public int P2;

		public float _NaturalLength;

		public float _InverseLength;

		public float _Stiffness;
	}
}
