﻿using System;
using UnityEngine;

public class TutorialOpenObject : MonoBehaviour
{
	private void Start()
	{
		if (this.isChangeShortCutHelp)
		{
			SystemShortcut sysShortcut = GameMain.Instance.SysShortcut;
			sysShortcut.strSceneHelpName = this.strSceneHelpName;
		}
		try
		{
			if (!uGUITutorialPanel.IsOpened())
			{
				uGUITutorialPanel.OpenTutorial(this.strTutorialName, null, false);
			}
		}
		catch (Exception ex)
		{
			Debug.LogError(ex.Message);
		}
		base.gameObject.SetActive(false);
	}

	[SerializeField]
	[Header("開くチュートリアル名")]
	public string strTutorialName = string.Empty;

	[SerializeField]
	[Header("シーンのヘルプの名称")]
	public string strSceneHelpName = string.Empty;

	[SerializeField]
	[Header("シーンのヘルプの上書きを有効化")]
	public bool isChangeShortCutHelp;
}
