﻿using System;
using UnityEngine;

public class UI_ParticleSize : UI_ScreenFitBase
{
	protected override void Start()
	{
		this.m_MyParticle = base.GetComponent<ParticleSystem>();
		this.m_FirstSize = this.m_MyParticle.main.startSizeMultiplier;
		if (this.m_FirstSize < this.m_MinSize)
		{
			this.m_MinSize = this.m_FirstSize;
		}
		base.Start();
	}

	protected override void Update()
	{
		base.Update();
	}

	protected override void FitAction()
	{
		this.m_MyParticle.main.startSize = base.ScreenRate(this.m_MinSize, this.m_FirstSize, this.m_FirstSize);
	}

	[SerializeField]
	private float m_MinSize = 0.15f;

	private ParticleSystem m_MyParticle;

	private float m_FirstSize;
}
