﻿using System;
using System.Collections.Generic;
using MaidStatus;

namespace Yotogis
{
	public class SkillAcquisitionCondition
	{
		public List<string[]> CreateConditionTexts()
		{
			List<KeyValuePair<string[], bool>> list = this.CreateConditionTextAndStaturResults(null);
			List<string[]> list2 = new List<string[]>();
			foreach (KeyValuePair<string[], bool> keyValuePair in list)
			{
				list2.Add(keyValuePair.Key);
			}
			return list2;
		}

		public virtual List<KeyValuePair<string[], bool>> CreateConditionTextAndStaturResults(Status status)
		{
			List<KeyValuePair<string[], bool>> list = new List<KeyValuePair<string[], bool>>();
			if (this.yotogi_class != null)
			{
				bool value = false;
				if (status != null && status.yotogiClass.Contains(this.yotogi_class.id) && this.yotogi_class_level <= status.yotogiClass.Get(this.yotogi_class.id).level)
				{
					value = true;
				}
				string text = Product.AEWDA ? this.yotogi_class.termName : this.yotogi_class.drawName;
				list.Add(new KeyValuePair<string[], bool>(new string[]
				{
					text
				}, value));
			}
			if (0 < this.inyoku)
			{
				bool value2 = status != null && this.inyoku <= status.inyoku;
				list.Add(new KeyValuePair<string[], bool>(new string[]
				{
					"MaidStatus/条件文/淫欲 {0}",
					this.inyoku.ToString()
				}, value2));
			}
			if (0 < this.m_value)
			{
				bool value3 = status != null && this.m_value <= status.mvalue;
				list.Add(new KeyValuePair<string[], bool>(new string[]
				{
					"MaidStatus/条件文/M性 {0}",
					this.m_value.ToString()
				}, value3));
			}
			if (0 < this.hentai)
			{
				bool value4 = status != null && this.hentai <= status.hentai;
				list.Add(new KeyValuePair<string[], bool>(new string[]
				{
					"MaidStatus/条件文/変態 {0}",
					this.hentai.ToString()
				}, value4));
			}
			if (0 < this.housi)
			{
				bool value5 = status != null && this.housi <= status.housi;
				list.Add(new KeyValuePair<string[], bool>(new string[]
				{
					"MaidStatus/条件文/奉仕 {0}",
					this.housi.ToString()
				}, value5));
			}
			if (0 < this.lovely)
			{
				bool value6 = status != null && this.lovely <= status.lovely;
				list.Add(new KeyValuePair<string[], bool>(new string[]
				{
					"MaidStatus/条件文/可憐 {0}",
					this.lovely.ToString()
				}, value6));
			}
			if (0 < this.elegance)
			{
				bool value7 = status != null && this.elegance <= status.elegance;
				list.Add(new KeyValuePair<string[], bool>(new string[]
				{
					"MaidStatus/条件文/気品 {0}",
					this.elegance.ToString()
				}, value7));
			}
			if (0 < this.charm)
			{
				bool value8 = status != null && this.charm <= status.charm;
				list.Add(new KeyValuePair<string[], bool>(new string[]
				{
					"MaidStatus/条件文/魅惑 {0}",
					this.charm.ToString()
				}, value8));
			}
			return list;
		}

		public int inyoku;

		public int m_value;

		public int hentai;

		public int housi;

		public int lovely;

		public int elegance;

		public int charm;

		public bool[] seikeiken;

		public YotogiClass.Data yotogi_class;

		public int yotogi_class_level;
	}
}
