﻿using System;
using UnityEngine;
using UnityEngine.UI;

public class uGUITextUpdater : MonoBehaviour
{
	public void OnUpdateText(float value)
	{
		this.m_TextObject.text = this.m_StringBeforeMessage + string.Format("{0:#0.###}", value) + this.m_StringAfterMessage;
	}

	[SerializeField]
	[TextArea(1, 1)]
	private string m_StringBeforeMessage = string.Empty;

	[SerializeField]
	[TextArea(1, 1)]
	private string m_StringAfterMessage = string.Empty;

	[SerializeField]
	private Text m_TextObject;
}
