﻿using System;
using System.Diagnostics;
using UnityEngine;

namespace wf
{
	public class StopWatch
	{
		public StopWatch()
		{
			this.sw = new Stopwatch();
			this.sw.Start();
		}

		public void Stop(string text)
		{
			int num = this.Stop();
			UnityEngine.Debug.Log(string.Concat(new object[]
			{
				text,
				" : ",
				num,
				"ms"
			}));
		}

		public int Stop()
		{
			this.sw.Stop();
			long elapsedMilliseconds = this.sw.ElapsedMilliseconds;
			return (int)elapsedMilliseconds;
		}

		private Stopwatch sw;
	}
}
